Download it now!
Bug 71729 - UI: Manage Names dialog populates Name box, but not Range box, for the first range before any is selected
Summary: UI: Manage Names dialog populates Name box, but not Range box, for the first ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other All
: medium minor
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.1.6 target:4.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-18 09:10 UTC by Doug Naphas
Modified: 2014-04-09 17:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Naphas 2013-11-18 09:10:21 UTC
Steps to reproduce:
1. Open a spreadsheet with any number of named ranges.
2. Click Insert > Names > Manage to display the Manage Names dialog.

Current behavior:
In the list pane (the top part of the dialog), there is a list of the named ranges.  The first one is highlighted.  In the middle part of the dialog, there are fields for Name, Range, and Scope.  The Name and Scope fields in this middle part are populated with the information for the first named range.  The Range field is blank.  You need to focus on the first range either with a mouse click or by pressing the down arrow for the Range field to populate with the information for the first range.

Expected behavior:
When the Manage Names dialog first displays, before the user has clicked on a range or begun to scroll through the list of ranges with the arrow keys, all of the fields in the middle part of the Manage Names dialog (Name, Range, and Scope) should be populated with the correct information for the first range.

This pertains to 67621 and takes the place of 68608.
Comment 1 Cor Nouws 2013-11-25 21:02:23 UTC
Hi Doug,

thanks for the issue & clear discription.
I confirm the behaviour. > New

Cor
Comment 2 Kohei Yoshida 2014-04-08 18:34:59 UTC
I got hit by this too.
Comment 3 Commit Notification 2014-04-08 18:40:53 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ffaaf35206b8f049bb9e9ffd7a85c8ebd758a21c

fdo#71729: Fill the range edit boxes after the table is fully initialized.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Kohei Yoshida 2014-04-08 18:58:30 UTC
4.2 backport: https://gerrit.libreoffice.org/8896
4.1 backport: https://gerrit.libreoffice.org/8898
Comment 5 Commit Notification 2014-04-09 17:48:46 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dff90c796579f16f642d847ce70d793ebe4a89e8&h=libreoffice-4-1

fdo#71729: Fill the range edit boxes after the table is fully initialized.


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-04-09 17:52:21 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=83fe3fb4aa94a8d0e86e944546c277255db2c58c&h=libreoffice-4-2

fdo#71729: Fill the range edit boxes after the table is fully initialized.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Kohei Yoshida 2014-04-09 17:53:17 UTC
The fix is now in both 4.1 and 4.2 branches.  Let's call it fixed.